/*
 * Copyright (C) 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.android.apps.santatracker.doodles.shared;

import com.google.android.apps.santatracker.doodles.R;

/**
 * Frame data for all the sprites.
 */
public final class Sprites {

  public static int[] debug_marker = {
    R.drawable.debug_marker,
  };
  public static int[] empty_frame = {
    R.drawable.empty_frame,
  };
  public static int[] google = {
    R.drawable.google,
  };
  public static int[] ic_launcher = {
    R.drawable.ic_launcher,
  };
  public static int[] intro = {
    R.drawable.intro,
  };

  public static int[] pineapple_star_filled = {
    R.drawable.pineapple_star_filled,
  };

  public static int[] snowball = {
    R.drawable.snowball01,
    R.drawable.snowball02,
    R.drawable.snowball03,
    R.drawable.snowball04,
    R.drawable.snowball05,
    R.drawable.snowball06,
    R.drawable.snowball07,
    R.drawable.snowball08,
  };

  public static int[] melon_shadow = {
    R.drawable.melon_shadow,
  };

  public static int[] snowballrun_running_snowman_opponent = {
    R.drawable.snowballrun_running_snowman_opponent_01,
    R.drawable.snowballrun_running_snowman_opponent_02,
    R.drawable.snowballrun_running_snowman_opponent_03,
    R.drawable.snowballrun_running_snowman_opponent_04,
    R.drawable.snowballrun_running_snowman_opponent_05,
    R.drawable.snowballrun_running_snowman_opponent_06,
    R.drawable.snowballrun_running_snowman_opponent_07,
    R.drawable.snowballrun_running_snowman_opponent_08,
    R.drawable.snowballrun_running_snowman_opponent_09,
    R.drawable.snowballrun_running_snowman_opponent_10,
    R.drawable.snowballrun_running_snowman_opponent_11,
    R.drawable.snowballrun_running_snowman_opponent_12,
    R.drawable.snowballrun_running_snowman_opponent_13,
    R.drawable.snowballrun_running_snowman_opponent_14,
    R.drawable.snowballrun_running_snowman_opponent_15,
    R.drawable.snowballrun_running_snowman_opponent_16,
  };

  public static int[] running_apricot_squish = {
    R.drawable.snowballrun_snowman_squished_05,
    R.drawable.snowballrun_snowman_squished_06,
    R.drawable.snowballrun_snowman_squished_07,
    R.drawable.snowballrun_snowman_squished_08,
  };

  public static int[] snowballrunner_background = {
    R.drawable.snowballrunner_background,
  };

  public static int[] snowball_runner_trees1 = {
    R.drawable.snowball_runner_trees1,
  };

  public static int[] snowball_runner_trees2 = {
    R.drawable.snowball_runner_trees2,
  };

  public static int[] running_button = {
    R.drawable.running_button_00,
    R.drawable.running_button_01,
    R.drawable.running_button_02,
  };

  public static int[] snowballrun_elf_squish = {
    R.drawable.snowballrun_elf_squished_01,
    R.drawable.snowballrun_elf_squished_02,
    R.drawable.snowballrun_elf_squished_03,
    R.drawable.snowballrun_elf_squished_04,
  };

  public static int[] running_finish_line = {
    R.drawable.running_finish_line,
  };

  public static int[] snowballrun_running_elf_opponent = {
    R.drawable.snowballrun_running_elf_opponent_01,
    R.drawable.snowballrun_running_elf_opponent_02,
    R.drawable.snowballrun_running_elf_opponent_03,
    R.drawable.snowballrun_running_elf_opponent_04,
    R.drawable.snowballrun_running_elf_opponent_05,
    R.drawable.snowballrun_running_elf_opponent_06,
    R.drawable.snowballrun_running_elf_opponent_07,
    R.drawable.snowballrun_running_elf_opponent_08,
    R.drawable.snowballrun_running_elf_opponent_09,
    R.drawable.snowballrun_running_elf_opponent_10,
    R.drawable.snowballrun_running_elf_opponent_11,
    R.drawable.snowballrun_running_elf_opponent_12,
    R.drawable.snowballrun_running_elf_opponent_13,
    R.drawable.snowballrun_running_elf_opponent_14,
    R.drawable.snowballrun_running_elf_opponent_15,
    R.drawable.snowballrun_running_elf_opponent_16,
  };

  public static int[] running_elfopponent_squish = {
    R.drawable.snowballrun_elfopponent_squished_05,
    R.drawable.snowballrun_elfopponent_squished_06,
    R.drawable.snowballrun_elfopponent_squished_07,
    R.drawable.snowballrun_elfopponent_squished_08,
  };

  public static int[] snowballrun_running_reindeer_opponent = {
    R.drawable.snowballrun_running_reindeer_opponent_01,
    R.drawable.snowballrun_running_reindeer_opponent_02,
    R.drawable.snowballrun_running_reindeer_opponent_03,
    R.drawable.snowballrun_running_reindeer_opponent_04,
    R.drawable.snowballrun_running_reindeer_opponent_05,
    R.drawable.snowballrun_running_reindeer_opponent_06,
    R.drawable.snowballrun_running_reindeer_opponent_07,
    R.drawable.snowballrun_running_reindeer_opponent_08,
    R.drawable.snowballrun_running_reindeer_opponent_09,
    R.drawable.snowballrun_running_reindeer_opponent_10,
    R.drawable.snowballrun_running_reindeer_opponent_11,
    R.drawable.snowballrun_running_reindeer_opponent_12,
    R.drawable.snowballrun_running_reindeer_opponent_13,
    R.drawable.snowballrun_running_reindeer_opponent_14,
    R.drawable.snowballrun_running_reindeer_opponent_15,
    R.drawable.snowballrun_running_reindeer_opponent_16,
  };

  public static int[] snowballrun_reindeer_squish = {
    R.drawable.snowballrun_reindeer_squished_01,
    R.drawable.snowballrun_reindeer_squished_02,
    R.drawable.snowballrun_reindeer_squished_03,
    R.drawable.snowballrun_reindeer_squished_04,
  };

  public static int[] running_powerup = {
    R.drawable.running_powerup_00,
    R.drawable.running_powerup_01,
    R.drawable.running_powerup_02,
    R.drawable.running_powerup_03,
    R.drawable.running_powerup_04,
    R.drawable.running_powerup_05,
    R.drawable.running_powerup_06,
    R.drawable.running_powerup_07,
  };

  public static int[] snowballrun_running_losing = {
    R.drawable.snowballrun_running_losing01,
    R.drawable.snowballrun_running_losing02,
    R.drawable.snowballrun_running_losing03,
    R.drawable.snowballrun_running_losing04,
    R.drawable.snowballrun_running_losing05,
    R.drawable.snowballrun_running_losing06,
    R.drawable.snowballrun_running_losing07,
    R.drawable.snowballrun_running_losing08,
    R.drawable.snowballrun_running_losing09,
    R.drawable.snowballrun_running_losing10,
    R.drawable.snowballrun_running_losing11,
    R.drawable.snowballrun_running_losing12,
    R.drawable.snowballrun_running_losing13,
    R.drawable.snowballrun_running_losing14,
    R.drawable.snowballrun_running_losing15,
    R.drawable.snowballrun_running_losing16,
  };

  public static int[] snowballrun_running_normal = {
    R.drawable.snowballrun_running_normal01,
    R.drawable.snowballrun_running_normal02,
    R.drawable.snowballrun_running_normal03,
    R.drawable.snowballrun_running_normal04,
    R.drawable.snowballrun_running_normal05,
    R.drawable.snowballrun_running_normal06,
    R.drawable.snowballrun_running_normal07,
    R.drawable.snowballrun_running_normal08,
    R.drawable.snowballrun_running_normal09,
    R.drawable.snowballrun_running_normal10,
    R.drawable.snowballrun_running_normal11,
    R.drawable.snowballrun_running_normal12,
    R.drawable.snowballrun_running_normal13,
    R.drawable.snowballrun_running_normal14,
    R.drawable.snowballrun_running_normal15,
    R.drawable.snowballrun_running_normal16,
  };

  public static int[] snowballrun_running_sidestep = {
    R.drawable.snowballrun_sidestep,
  };

  public static int[] snowballrun_running_appearing = {
    R.drawable.snowballrun_running_appearing_01,
    R.drawable.snowballrun_running_appearing_02,
    R.drawable.snowballrun_running_appearing_03,
    R.drawable.snowballrun_running_appearing_04,
    R.drawable.snowballrun_running_appearing_05,
    R.drawable.snowballrun_running_appearing_06,
    R.drawable.snowballrun_running_appearing_07,
    R.drawable.snowballrun_running_appearing_08,
    R.drawable.snowballrun_running_appearing_09,
    R.drawable.snowballrun_running_appearing_10,
    R.drawable.snowballrun_running_appearing_11,
    R.drawable.snowballrun_running_appearing_12,
  };

  public static int[] penguin_swim_banner = {
    R.drawable.penguin_swim_banner,
  };

  public static int[] penguin_swim_dazed = {
    R.drawable.penguin_swim_dazed_01,
    R.drawable.penguin_swim_dazed_02,
    R.drawable.penguin_swim_dazed_03,
    R.drawable.penguin_swim_dazed_04,
    R.drawable.penguin_swim_dazed_05,
    R.drawable.penguin_swim_dazed_06,
    R.drawable.penguin_swim_dazed_07,
    R.drawable.penguin_swim_dazed_08,
    R.drawable.penguin_swim_dazed_09,
    R.drawable.penguin_swim_dazed_10,
    R.drawable.penguin_swim_dazed_11,
    R.drawable.penguin_swim_dazed_12,
    R.drawable.penguin_swim_dazed_13,
    R.drawable.penguin_swim_dazed_14,
    R.drawable.penguin_swim_dazed_15,
    R.drawable.penguin_swim_dazed_16,
    R.drawable.penguin_swim_dazed_17,
    R.drawable.penguin_swim_dazed_18,
    R.drawable.penguin_swim_dazed_19,
    R.drawable.penguin_swim_dazed_20,
    R.drawable.penguin_swim_dazed_21,
  };

  public static int[] penguin_swim_descending = {
    R.drawable.penguin_swim_descending_01,
    R.drawable.penguin_swim_descending_02,
    R.drawable.penguin_swim_descending_03,
    R.drawable.penguin_swim_descending_04,
    R.drawable.penguin_swim_descending_05,
    R.drawable.penguin_swim_descending_06,
    R.drawable.penguin_swim_descending_07,
    R.drawable.penguin_swim_descending_08,
    R.drawable.penguin_swim_descending_09,
  };

  public static int[] penguin_swim_elf = {
    R.drawable.penguin_swim_elf_01,
    R.drawable.penguin_swim_elf_02,
    R.drawable.penguin_swim_elf_03,
    R.drawable.penguin_swim_elf_04,
    R.drawable.penguin_swim_elf_05,
    R.drawable.penguin_swim_elf_06,
    R.drawable.penguin_swim_elf_07,
    R.drawable.penguin_swim_elf_08,
    R.drawable.penguin_swim_elf_09,
    R.drawable.penguin_swim_elf_10,
    R.drawable.penguin_swim_elf_11,
    R.drawable.penguin_swim_elf_12,
    R.drawable.penguin_swim_elf_13,
    R.drawable.penguin_swim_elf_14,
    R.drawable.penguin_swim_elf_15,
  };

  public static int[] penguin_swim_frozen = {
    R.drawable.penguin_swim_frozen_01,
    R.drawable.penguin_swim_frozen_02,
    R.drawable.penguin_swim_frozen_03,
    R.drawable.penguin_swim_frozen_04,
    R.drawable.penguin_swim_frozen_05,
    R.drawable.penguin_swim_frozen_06,
    R.drawable.penguin_swim_frozen_07,
    R.drawable.penguin_swim_frozen_08,
    R.drawable.penguin_swim_frozen_09,
    R.drawable.penguin_swim_frozen_10,
    R.drawable.penguin_swim_frozen_11,
    R.drawable.penguin_swim_frozen_12,
    R.drawable.penguin_swim_frozen_13,
    R.drawable.penguin_swim_frozen_14,
    R.drawable.penguin_swim_frozen_15,
    R.drawable.penguin_swim_frozen_16,
    R.drawable.penguin_swim_frozen_17,
    R.drawable.penguin_swim_frozen_18,
    R.drawable.penguin_swim_frozen_19,
    R.drawable.penguin_swim_frozen_20,
    R.drawable.penguin_swim_frozen_21,
    R.drawable.penguin_swim_frozen_22,
    R.drawable.penguin_swim_frozen_23,
    R.drawable.penguin_swim_frozen_24,
    R.drawable.penguin_swim_frozen_25,
    R.drawable.penguin_swim_frozen_26,
    R.drawable.penguin_swim_frozen_27,
    R.drawable.penguin_swim_frozen_28,
    R.drawable.penguin_swim_frozen_29,
  };

  public static int[] penguin_swim_ice = {
    R.drawable.penguin_swim_ice_01,
    R.drawable.penguin_swim_ice_02,
    R.drawable.penguin_swim_ice_03,
    R.drawable.penguin_swim_ice_04,
    R.drawable.penguin_swim_ice_05,
    R.drawable.penguin_swim_ice_06,
    R.drawable.penguin_swim_ice_07,
    R.drawable.penguin_swim_ice_08,
    R.drawable.penguin_swim_ice_09,
    R.drawable.penguin_swim_ice_10,
    R.drawable.penguin_swim_ice_11,
    R.drawable.penguin_swim_ice_12,
    R.drawable.penguin_swim_ice_13,
    R.drawable.penguin_swim_ice_14,
    R.drawable.penguin_swim_ice_15,
  };

  public static int[] penguin_swim_idle = {
    R.drawable.penguin_swim_start_01,
    R.drawable.penguin_swim_start_02,
    R.drawable.penguin_swim_start_03,
    R.drawable.penguin_swim_start_04,
    R.drawable.penguin_swim_start_05,
    R.drawable.penguin_swim_start_06,
    R.drawable.penguin_swim_start_07,
    R.drawable.penguin_swim_start_08,
  };

  public static int[] penguin_swim_start = {
    R.drawable.penguin_swim_start_09,
    R.drawable.penguin_swim_start_10,
    R.drawable.penguin_swim_start_11,
    R.drawable.penguin_swim_start_12,
    R.drawable.penguin_swim_start_13,
    R.drawable.penguin_swim_start_14,
    R.drawable.penguin_swim_start_15,
    R.drawable.penguin_swim_start_16,
  };

  public static int[] penguin_swim_canegrab = {
    R.drawable.penguin_swim_canegrab_01,
    R.drawable.penguin_swim_canegrab_02,
    R.drawable.penguin_swim_canegrab_03,
    R.drawable.penguin_swim_canegrab_04,
    R.drawable.penguin_swim_canegrab_05,
    R.drawable.penguin_swim_canegrab_06,
    R.drawable.penguin_swim_canegrab_07,
    R.drawable.penguin_swim_canegrab_08,
    R.drawable.penguin_swim_canegrab_09,
    R.drawable.penguin_swim_canegrab_10,
    R.drawable.penguin_swim_canegrab_11,
    R.drawable.penguin_swim_canegrab_12,
    R.drawable.penguin_swim_canegrab_13,
    R.drawable.penguin_swim_canegrab_14,
    R.drawable.penguin_swim_canegrab_15,
    R.drawable.penguin_swim_canegrab_16,
    R.drawable.penguin_swim_canegrab_17,
    R.drawable.penguin_swim_canegrab_18,
    R.drawable.penguin_swim_canegrab_19,
    R.drawable.penguin_swim_canegrab_20,
    R.drawable.penguin_swim_canegrab_21,
    R.drawable.penguin_swim_canegrab_22,
    R.drawable.penguin_swim_canegrab_23,
    R.drawable.penguin_swim_canegrab_24,
    R.drawable.penguin_swim_canegrab_25,
    R.drawable.penguin_swim_canegrab_26,
    R.drawable.penguin_swim_canegrab_27,
    R.drawable.penguin_swim_canegrab_28,
    R.drawable.penguin_swim_canegrab_29,
    R.drawable.penguin_swim_canegrab_30,
  };

  public static int[] swimming_rings = {
    R.drawable.swimming_rings_00,
    R.drawable.swimming_rings_01,
    R.drawable.swimming_rings_02,
    R.drawable.swimming_rings_03,
    R.drawable.swimming_rings_04,
    R.drawable.swimming_rings_05,
    R.drawable.swimming_rings_06,
    R.drawable.swimming_rings_07,
    R.drawable.swimming_rings_08,
    R.drawable.swimming_rings_09,
  };

  public static int[] penguin_swim_ascending = {
    R.drawable.penguin_swim_ascending_01,
    R.drawable.penguin_swim_ascending_02,
    R.drawable.penguin_swim_ascending_03,
    R.drawable.penguin_swim_ascending_04,
    R.drawable.penguin_swim_ascending_05,
    R.drawable.penguin_swim_ascending_06,
    R.drawable.penguin_swim_ascending_07,
    R.drawable.penguin_swim_ascending_08,
    R.drawable.penguin_swim_ascending_09,
  };

  public static int[] penguin_swim_candy = {
    R.drawable.penguin_swim_candy_04,
  };

  public static int[] penguin_swim_swimming = {
    R.drawable.penguin_swim_swimming_01,
    R.drawable.penguin_swim_swimming_02,
    R.drawable.penguin_swim_swimming_03,
    R.drawable.penguin_swim_swimming_04,
    R.drawable.penguin_swim_swimming_05,
    R.drawable.penguin_swim_swimming_06,
    R.drawable.penguin_swim_swimming_07,
    R.drawable.penguin_swim_swimming_08,
    R.drawable.penguin_swim_swimming_09,
    R.drawable.penguin_swim_swimming_10,
    R.drawable.penguin_swim_swimming_11,
    R.drawable.penguin_swim_swimming_12,
    R.drawable.penguin_swim_swimming_13,
    R.drawable.penguin_swim_swimming_14,
    R.drawable.penguin_swim_swimming_15,
    R.drawable.penguin_swim_swimming_16,
  };

  public static int[] penguin_swim_swimmingunderwater = {
    R.drawable.penguin_swim_swimmingunderwater_01,
    R.drawable.penguin_swim_swimmingunderwater_02,
    R.drawable.penguin_swim_swimmingunderwater_03,
    R.drawable.penguin_swim_swimmingunderwater_04,
    R.drawable.penguin_swim_swimmingunderwater_05,
    R.drawable.penguin_swim_swimmingunderwater_06,
    R.drawable.penguin_swim_swimmingunderwater_07,
    R.drawable.penguin_swim_swimmingunderwater_08,
    R.drawable.penguin_swim_swimmingunderwater_09,
    R.drawable.penguin_swim_swimmingunderwater_10,
    R.drawable.penguin_swim_swimmingunderwater_11,
    R.drawable.penguin_swim_swimmingunderwater_12,
    R.drawable.penguin_swim_swimmingunderwater_13,
    R.drawable.penguin_swim_swimmingunderwater_14,
    R.drawable.penguin_swim_swimmingunderwater_15,
    R.drawable.penguin_swim_swimmingunderwater_16,
  };

  public static int[] tutoappear_new = {
    R.drawable.tutoappear_new_00,
    R.drawable.tutoappear_new_01,
    R.drawable.tutoappear_new_02,
    R.drawable.tutoappear_new_03,
    R.drawable.tutoappear_new_04,
    R.drawable.tutoappear_new_05,
  };

  public static int[] tutorial_running = {
    R.drawable.snowballrun_tutorials_01,
    R.drawable.snowballrun_tutorials_02,
    R.drawable.snowballrun_tutorials_03,
    R.drawable.snowballrun_tutorials_04,
    R.drawable.snowballrun_tutorials_05,
    R.drawable.snowballrun_tutorials_06,
    R.drawable.snowballrun_tutorials_07,
    R.drawable.snowballrun_tutorials_08,
    R.drawable.snowballrun_tutorials_09,
    R.drawable.snowballrun_tutorials_10,
    R.drawable.snowballrun_tutorials_11,
    R.drawable.snowballrun_tutorials_12,
    R.drawable.snowballrun_tutorials_13,
    R.drawable.snowballrun_tutorials_14,
    R.drawable.snowballrun_tutorials_15,
    R.drawable.snowballrun_tutorials_16,
    R.drawable.snowballrun_tutorials_17,
    R.drawable.snowballrun_tutorials_18,
  };
  public static int[] tutorial_swimming = {
    R.drawable.penguin_swim_tutorials_01,
    R.drawable.penguin_swim_tutorials_02,
    R.drawable.penguin_swim_tutorials_03,
    R.drawable.penguin_swim_tutorials_04,
    R.drawable.penguin_swim_tutorials_05,
    R.drawable.penguin_swim_tutorials_06,
    R.drawable.penguin_swim_tutorials_07,
    R.drawable.penguin_swim_tutorials_08,
  };

  public static int[] present_throw_tutorials = {
    R.drawable.present_throw_tutorials_01,
    R.drawable.present_throw_tutorials_02,
    R.drawable.present_throw_tutorials_03,
    R.drawable.present_throw_tutorials_04,
    R.drawable.present_throw_tutorials_05,
    R.drawable.present_throw_tutorials_06,
    R.drawable.present_throw_tutorials_07,
    R.drawable.present_throw_tutorials_08,
    R.drawable.present_throw_tutorials_09,
    R.drawable.present_throw_tutorials_10,
    R.drawable.present_throw_tutorials_11,
    R.drawable.present_throw_tutorials_12,
    R.drawable.present_throw_tutorials_13,
    R.drawable.present_throw_tutorials_14,
  };

  public static int[] present_throw_def_green_left = {
    R.drawable.present_throw_blocker_green_01,
    R.drawable.present_throw_blocker_green_02,
    R.drawable.present_throw_blocker_green_03,
    R.drawable.present_throw_blocker_green_04,
    R.drawable.present_throw_blocker_green_05,
    R.drawable.present_throw_blocker_green_06,
    R.drawable.present_throw_blocker_green_07,
    R.drawable.present_throw_blocker_green_08,
  };

  public static int[] present_throw_def_green_right = {
    R.drawable.present_throw_blocker_green_09,
    R.drawable.present_throw_blocker_green_10,
    R.drawable.present_throw_blocker_green_11,
    R.drawable.present_throw_blocker_green_12,
    R.drawable.present_throw_blocker_green_13,
    R.drawable.present_throw_blocker_green_14,
    R.drawable.present_throw_blocker_green_15,
    R.drawable.present_throw_blocker_green_16,
  };

  public static int[] present_throw_def_green_emerge = {
    R.drawable.present_throw_newblocker_green_01,
    R.drawable.present_throw_newblocker_green_02,
    R.drawable.present_throw_newblocker_green_03,
    R.drawable.present_throw_newblocker_green_04,
    R.drawable.present_throw_newblocker_green_05,
    R.drawable.present_throw_newblocker_green_06,
    R.drawable.present_throw_newblocker_green_07,
    R.drawable.present_throw_newblocker_green_08,
    R.drawable.present_throw_newblocker_green_09,
    R.drawable.present_throw_newblocker_green_10,
    R.drawable.present_throw_newblocker_green_11,
    R.drawable.present_throw_newblocker_green_12,
  };

  public static int[] present_throw_def_green_blocking = {
    R.drawable.present_throw_blocking_green_01,
    R.drawable.present_throw_blocking_green_02,
    R.drawable.present_throw_blocking_green_03,
    R.drawable.present_throw_blocking_green_04,
    R.drawable.present_throw_blocking_green_05,
    R.drawable.present_throw_blocking_green_06,
    R.drawable.present_throw_blocking_green_07,
    R.drawable.present_throw_blocking_green_08,
    R.drawable.present_throw_blocking_green_09,
    R.drawable.present_throw_blocking_green_10,
    R.drawable.present_throw_blocking_green_11,
    R.drawable.present_throw_blocking_green_12,
  };

  public static int[] present_throw_def_red_left = {
    R.drawable.present_throw_blocker_red_01,
    R.drawable.present_throw_blocker_red_02,
    R.drawable.present_throw_blocker_red_03,
    R.drawable.present_throw_blocker_red_04,
    R.drawable.present_throw_blocker_red_05,
    R.drawable.present_throw_blocker_red_06,
    R.drawable.present_throw_blocker_red_07,
    R.drawable.present_throw_blocker_red_08,
  };

  public static int[] present_throw_def_red_right = {
    R.drawable.present_throw_blocker_red_09,
    R.drawable.present_throw_blocker_red_10,
    R.drawable.present_throw_blocker_red_11,
    R.drawable.present_throw_blocker_red_12,
    R.drawable.present_throw_blocker_red_13,
    R.drawable.present_throw_blocker_red_14,
    R.drawable.present_throw_blocker_red_15,
    R.drawable.present_throw_blocker_red_16,
  };

  public static int[] present_throw_def_red_emerge = {
    R.drawable.present_throw_newblocker_red_01,
    R.drawable.present_throw_newblocker_red_02,
    R.drawable.present_throw_newblocker_red_03,
    R.drawable.present_throw_newblocker_red_04,
    R.drawable.present_throw_newblocker_red_05,
    R.drawable.present_throw_newblocker_red_06,
    R.drawable.present_throw_newblocker_red_07,
    R.drawable.present_throw_newblocker_red_08,
    R.drawable.present_throw_newblocker_red_09,
    R.drawable.present_throw_newblocker_red_10,
    R.drawable.present_throw_newblocker_red_11,
    R.drawable.present_throw_newblocker_red_12,
  };

  public static int[] present_throw_def_red_blocking = {
    R.drawable.present_throw_blocking_red_01,
    R.drawable.present_throw_blocking_red_02,
    R.drawable.present_throw_blocking_red_03,
    R.drawable.present_throw_blocking_red_04,
    R.drawable.present_throw_blocking_red_05,
    R.drawable.present_throw_blocking_red_06,
    R.drawable.present_throw_blocking_red_07,
    R.drawable.present_throw_blocking_red_08,
    R.drawable.present_throw_blocking_red_09,
    R.drawable.present_throw_blocking_red_10,
    R.drawable.present_throw_blocking_red_11,
    R.drawable.present_throw_blocking_red_12,
  };

  public static int[] present_throw_def_orange_left = {
    R.drawable.present_throw_blocker_orange_01,
    R.drawable.present_throw_blocker_orange_02,
    R.drawable.present_throw_blocker_orange_03,
    R.drawable.present_throw_blocker_orange_04,
    R.drawable.present_throw_blocker_orange_05,
    R.drawable.present_throw_blocker_orange_06,
    R.drawable.present_throw_blocker_orange_07,
    R.drawable.present_throw_blocker_orange_08,
  };

  public static int[] present_throw_def_orange_right = {
    R.drawable.present_throw_blocker_orange_09,
    R.drawable.present_throw_blocker_orange_10,
    R.drawable.present_throw_blocker_orange_11,
    R.drawable.present_throw_blocker_orange_12,
    R.drawable.present_throw_blocker_orange_13,
    R.drawable.present_throw_blocker_orange_14,
    R.drawable.present_throw_blocker_orange_15,
    R.drawable.present_throw_blocker_orange_16,
  };

  public static int[] present_throw_def_orange_emerge = {
    R.drawable.present_throw_newblocker_orange_01,
    R.drawable.present_throw_newblocker_orange_02,
    R.drawable.present_throw_newblocker_orange_03,
    R.drawable.present_throw_newblocker_orange_04,
    R.drawable.present_throw_newblocker_orange_05,
    R.drawable.present_throw_newblocker_orange_06,
    R.drawable.present_throw_newblocker_orange_07,
    R.drawable.present_throw_newblocker_orange_08,
    R.drawable.present_throw_newblocker_orange_09,
    R.drawable.present_throw_newblocker_orange_10,
    R.drawable.present_throw_newblocker_orange_11,
    R.drawable.present_throw_newblocker_orange_12,
  };

  public static int[] present_throw_def_orange_blocking = {
    R.drawable.present_throw_blocking_orange_01,
    R.drawable.present_throw_blocking_orange_02,
    R.drawable.present_throw_blocking_orange_03,
    R.drawable.present_throw_blocking_orange_04,
    R.drawable.present_throw_blocking_orange_05,
    R.drawable.present_throw_blocking_orange_06,
    R.drawable.present_throw_blocking_orange_07,
    R.drawable.present_throw_blocking_orange_08,
    R.drawable.present_throw_blocking_orange_09,
    R.drawable.present_throw_blocking_orange_10,
    R.drawable.present_throw_blocking_orange_11,
    R.drawable.present_throw_blocking_orange_12,
  };

  public static int[] present_throw_reloading = {
    R.drawable.present_throw_reloading_01,
    R.drawable.present_throw_reloading_02,
    R.drawable.present_throw_reloading_03,
  };

  public static int[] present_throw_celebrate = {
    R.drawable.present_throw_celebrating_01,
    R.drawable.present_throw_celebrating_02,
  };

  public static int[] present_throw_idle = {
      R.drawable.present_throw_throwing_01,
  };

  public static int[] present_throw_santabag = {
    R.drawable.present_throw_santabag,
  };

  public static int[] present_throw_thrownpresent = {
    R.drawable.present_throw_thrownpresent_orange,
  };

  public static int[] present_throw_floor = {
    R.drawable.present_throw_floor,
  };

  public static int[] present_throw_elfbag = {
    R.drawable.present_throw_elfbag,
  };

  public static int[] orange_present_falling = {
    R.drawable.orange_present1,
    R.drawable.orange_present2,
    R.drawable.orange_present3,
    R.drawable.orange_present4,
  };

  public static int[] waterpolo_target = {
    R.drawable.waterpolo_target,
  };

  public static int[] present_throw_throwing = {
    R.drawable.present_throw_throwing_01,
    R.drawable.present_throw_throwing_02,
    R.drawable.present_throw_throwing_03,
    R.drawable.present_throw_throwing_04,
    R.drawable.present_throw_throwing_05,
    R.drawable.present_throw_throwing_06,
  };

}
